Start a new topic

Android App for Stiiv on Google Play

I tried to download the Stiiv Activity Tracker from Google Play and it stated that my version of Samsung Galaxy Tab 3 is not able to be used with the app.  I checked and that tablet has the Android version that should work.  How can I do?

1 Comment

Hi Sue, while your tablet may have the correct version of Android (4.3 or higher), we do require Bluetooth low energy (Bluetooth 4.0) to allow for pairing with our devices. For all the Android users out there, the following app will allow you to confirm whether or not your Android device has Bluetooh 4.0 enabled: https://play.google.com/store/apps/details?id=com.magicalboy.btd&hl=en


If BLE Supported displays in this app, you should be able to install the Striiv app and pair your device. If you're having trouble, please don't hesitate to email us at customercare@striiv.com for further assistance.  

Login or Signup to post a comment